summaryrefslogtreecommitdiffstats
path: root/source/ap/xfsdump
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/xfsdump')
-rw-r--r--source/ap/xfsdump/slack-desc19
-rwxr-xr-xsource/ap/xfsdump/xfsdump.SlackBuild107
-rw-r--r--source/ap/xfsdump/xfsdump.destdir.diff36
3 files changed, 162 insertions, 0 deletions
diff --git a/source/ap/xfsdump/slack-desc b/source/ap/xfsdump/slack-desc
new file mode 100644
index 000000000..040b64cd8
--- /dev/null
+++ b/source/ap/xfsdump/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfsdump: xfsdump (backup tools for the XFS filesystem)
+xfsdump:
+xfsdump: The xfsdump package contains the xfsdump and xfsrestore utilities for
+xfsdump: backing up and restoring XFS partitions. xfsdump examines files in a
+xfsdump: filesystem, determines which need to be backed up, and copies those
+xfsdump: files to a specified disk, tape or other storage medium. xfsrestore
+xfsdump: performs the inverse function of xfsdump; it can restore a full
+xfsdump: or incremental backup of a filesystem.
+xfsdump:
+xfsdump:
+xfsdump:
diff --git a/source/ap/xfsdump/xfsdump.SlackBuild b/source/ap/xfsdump/xfsdump.SlackBuild
new file mode 100755
index 000000000..378d46de2
--- /dev/null
+++ b/source/ap/xfsdump/xfsdump.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=3.0.1
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-xfsdump
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf xfsdump-$(echo $VERSION | cut -f 1 -d '-')
+tar xvf $CWD/xfsdump-$VERSION.tar.?z* || exit 1
+cd xfsdump-$(echo $VERSION | cut -f 1 -d '-') || exit 1
+
+zcat $CWD/xfsdump.destdir.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make sure you have the same version of autoconf as the
+# developers did... ;-)
+autoconf
+
+./configure \
+ --prefix=/usr \
+ --sbindir=/sbin \
+ --bindir=/usr/sbin \
+ --enable-gettext=yes \
+ --mandir=/usr/man \
+ --datadir=/usr/share \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/sbin
+ rm -f xfsdump xfsrestore
+ ln -sf /sbin/xfsdump xfsdump
+ ln -sf /sbin/xfsrestore xfsrestore
+)
+
+# Strip libraries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mv $PKG/usr/share/doc $PKG/usr
+( cd $PKG/usr/doc ; mv xfsdump xfsdump-$VERSION )
+cp -a \
+ README doc/COPYING doc/CREDITS doc/PORTING \
+ $PKG/usr/doc/xfsdump-$VERSION
+mkdir -p $PKG/usr/doc/xfsdump-$VERSION/html
+( cd doc
+ cp -a *.gif *.html $PKG/usr/doc/xfsdump-$VERSION/html
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/xfsdump-$(echo $VERSION | tr - _ )-$ARCH-$BUILD.txz
+
diff --git a/source/ap/xfsdump/xfsdump.destdir.diff b/source/ap/xfsdump/xfsdump.destdir.diff
new file mode 100644
index 000000000..1772465dc
--- /dev/null
+++ b/source/ap/xfsdump/xfsdump.destdir.diff
@@ -0,0 +1,36 @@
+--- ./include/buildmacros.orig 2007-09-10 21:01:12.000000000 -0500
++++ ./include/buildmacros 2008-04-01 00:06:53.000000000 -0500
+@@ -27,7 +27,7 @@
+ $(LFILES:.l=.o) \
+ $(YFILES:%.y=%.tab.o)
+
+-INSTALL = $(TOPDIR)/install-sh -o $(PKG_USER) -g $(PKG_GROUP)
++INSTALL = $(TOPDIR)/install-sh
+
+ SHELL = /bin/sh
+ IMAGES_DIR = $(TOPDIR)/all-images
+--- ./include/builddefs.in.orig 2007-09-10 21:01:12.000000000 -0500
++++ ./include/builddefs.in 2008-04-01 00:06:53.000000000 -0500
+@@ -30,14 +30,14 @@
+ PKG_VERSION = @pkg_version@
+ PKG_PLATFORM = @pkg_platform@
+ PKG_DISTRIBUTION= @pkg_distribution@
+-PKG_BIN_DIR = @bindir@
+-PKG_SBIN_DIR = @sbindir@
+-PKG_LIB_DIR = @libdir@@libdirsuffix@
+-PKG_DEVLIB_DIR = @libexecdir@@libdirsuffix@
+-PKG_INC_DIR = @includedir@
+-PKG_MAN_DIR = @mandir@
+-PKG_DOC_DIR = @datadir@/doc/@pkg_name@
+-PKG_LOCALE_DIR = @datadir@/locale
++PKG_BIN_DIR = $(DESTDIR)@bindir@
++PKG_SBIN_DIR = $(DESTDIR)@sbindir@
++PKG_LIB_DIR = $(DESTDIR)@libdir@@libdirsuffix@
++PKG_DEVLIB_DIR = $(DESTDIR)@libexecdir@@libdirsuffix@
++PKG_INC_DIR = $(DESTDIR)@includedir@
++PKG_MAN_DIR = $(DESTDIR)@mandir@
++PKG_DOC_DIR = $(DESTDIR)@datadir@/doc/@pkg_name@
++PKG_LOCALE_DIR = $(DESTDIR)@datadir@/locale
+
+ CC = @cc@
+ AWK = @awk@